/*
 * Class TYPE [UTF_CONVERTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_614 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_614 [] = {0xFF01,237,613,22,0xFFFF};
static const EIF_TYPE_INDEX egt_2_614 [] = {0xFF01,613,22,0xFFFF};
static const EIF_TYPE_INDEX egt_3_614 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_614 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_614 [] = {0xFF01,613,22,0xFFFF};
static const EIF_TYPE_INDEX egt_6_614 [] = {0xFF01,613,22,0xFFFF};
static const EIF_TYPE_INDEX egt_7_614 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_614 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_614 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_614 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_614 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_614 [] = {613,22,0xFFFF};
static const EIF_TYPE_INDEX egt_13_614 [] = {0xFF01,613,22,0xFFFF};
static const EIF_TYPE_INDEX egt_14_614 [] = {0xFF01,228,0xFFFF};
static const EIF_TYPE_INDEX egt_15_614 [] = {0xFF01,237,0,0xFFFF};
static const EIF_TYPE_INDEX egt_16_614 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_614 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_614 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_614 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_20_614 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_614 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_22_614 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_23_614 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_614 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_25_614 [] = {0xFF01,226,0xFFFF};
static const EIF_TYPE_INDEX egt_26_614 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_27_614 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_614 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_614[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_614), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_614), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8986, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_614), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_614), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_614), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_614), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_614), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_614), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_614), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_614), 8994, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_614), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_614), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_614), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_614), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8981, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8401, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8987, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8988, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1451, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1449, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_614), 8978, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_614), 8979, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8980, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 8982, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8983, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8984, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8985, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_614), 8989, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_614), 8990, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_614), 8991, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_614), 8992, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_614), 8993, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_614), 8996, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8997, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8998, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_614), 8999, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_614), 9000, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_614), 9001, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_614), 9002, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01C9 /*228*/), 9003, 0},
	{EIF_GENERIC(egt_26_614), 9004, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_614), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_614), 8995, 0xFFFFFFFF},
};
void Init614(void)
{
	IDSC(desc_614, 0, 613);
	IDSC(desc_614 + 1, 1, 613);
	IDSC(desc_614 + 32, 248, 613);
	IDSC(desc_614 + 34, 203, 613);
	IDSC(desc_614 + 38, 11, 613);
	IDSC(desc_614 + 60, 336, 613);
}


#ifdef __cplusplus
}
#endif
